<document>
<head>
    <name url="olddownloads.html">Old Downloads</name>
    <doc-version>$Date: 2003/10/03 16:46:40 $</doc-version>
</head>
<body>
<P>
This document contains a listing of older versions of GroboUtils.
To see the more recent releases, visit the
<a href="downloads.html">downloads page</a>.
You can see all the downloads from the <a
href="https://sourceforge.net/project/showfiles.php?group_id=22594">Sourceforge
File List page</a>.
</P>
<P>
Starting with v2, the GroboUtils project is under the
<a href="license.html">MIT license</a>.
</P>
<P>
All releases up to and including v1 has been released under <a
href="http://www.fsf.org/copyleft/lesser.html">GNU Lesser General
Public License</a> (LGPL).  Please note that since Java is not <a
href="http://jos.sourceforge.net/view.php?topic=WhyPackageFiles">Package
Distributed</a>, but rather <a
href="http://java.sun.com/docs/books/vmspec/2nd-edition/html/ClassFile.doc.html#80959">class
bytecode</a> distributed, I consider each class file to be its own library,
covered under the LGPL.  Therefore, you may repackage the class files anyway
you desire (as long as the distribution follows the LGPL).
</P>

<section>GroboUtils</section>
<UL>
    <li>v1
        <ul>
            <li>Complete package: contains the complete binary release,
                documentation, and all project source.  Does not contain
                the 3rd party packages, or the JavaDoc from prevous releases
                (these can be separately downloaded).
                <ul>
                    <li><download file="GroboUtils-1.zip" /></li>
                    <li><download file="GroboUtils-1.tar.gz" /></li>
                </ul>

            </li>
            <li>Complete source: contains the complete source, that could be
                downloaded from the release's CVS state.  Does not contain the
                3rd party packages, or the JavaDoc from previous releases
                (these can be searately downloaded).
                <ul>
                    <li><download file="GroboUtils-1-src.zip" /></li>
                    <li><download file="GroboUtils-1-src.tar.gz" /></li>
                    <li><download file="GroboUtils-1-src.tar.bz2" /></li>
                </ul>
            </li>

            <li><download file="GroboUtils-1-doc.zip" />
                - API and package documentation</li>
            <li><download file="GroboUtils-1-core.jar" />
                - complete JAR file of project classes</li>
            <li><download file="GroboUtils-1-website.zip" />
                - complete project website (including previous releases'
                JavaDoc)</li>

            <li><download file="GroboUtils-1-3rdparty.tar.gz" />
                - all third-party dependency JAR files</li>
            <li>Each sub-project's JAR file:
                <ul>
                    <li><download file="GroboCodeCoverage-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboGUI-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboJPlugin-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboPMTI-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboTestingAutodoc-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboTestingJUnit-1.0.0-core.jar" /></li>
                    <li><download file="GroboTestingTP-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboUICapture-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboUtilClasses-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboUtilDatastruct-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboUtilIO-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboUtilThread-1.0.0alpha2-core.jar" /></li>
                    <li><download file="GroboUtilXML-1.0.0rc1-core.jar" /></li>
                </ul>
            </li>
        </ul>
    </li>
    <LI>v1.0.0a
        <ul>
            <li>Complete package: contains the complete binary release,
                documentation, and all project source.
                <ul>
                    <li><download file="GroboUtils-1.0.0a.zip" /></li>
                    <li><download file="GroboUtils-1.0.0a.tar.gz" /></li>
                    <li><download file="GroboUtils-1.0.0a.tar.bz2" /></li>
                </ul>
            </li>
            <li>Complete source: contains the complete source, that could be
                downloaded from the release's CVS state.
                <ul>
                    <li><download file="GroboUtils-1.0.0a-src.zip" /></li>
                    <li><download file="GroboUtils-1.0.0a-src.tar.gz" /></li>
                    <li><download file="GroboUtils-1.0.0a-src.tar.bz2" /></li>
                </ul>
            </li>
            <li><download file="GroboUtils-1.0.0a-doc.zip" />
                - API and package documentation</li>
            <li><download file="GroboUtils-1.0.0a-core.jar" />
                - complete JAR file of project classes</li>
            <li>Each sub-project's JAR file:
                <ul>
                    <li><download file="GroboGUI-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboJPlugin-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboPMTI-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboTestingAutodoc-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboTestingJUnit-1.0.0rc1-core.jar" /></li>
                    <li><download file="GroboTestingTP-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboUICapture-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboUtilClasses-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboUtilDatastruct-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboUtilIO-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboUtilJDI-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboUtilThread-1.0.0alpha1-core.jar" /></li>
                    <li><download file="GroboUtilXML-1.0.0alpha1-core.jar" /></li>
                </ul>
            </li>
        </ul>

        
    </LI>
    <LI>v0.9.1d <!-- non-standard -->
        <UL>
        <LI><download file="GroboUtils-0.9.1d.zip" />
            - pre-alpha early release 0.9.1d.  Contains the JAR, source, and
            documentation.</LI>
        <LI><download file="GroboUtils-doc-0.9.1d.zip" />
            - pre-alpha early release 0.9.1d Java Documentation.</LI>
        <LI><download file="GroboUtils-src-0.9.1d.zip" />
            - pre-alpha early release 0.9.1d source code.</LI>
        <LI><download file="GroboUtils-src-0.9.1d.jar" />
            - pre-alpha early release 0.9.1d library (compiled) jar file.</LI>
        </UL>
    </LI>
    <LI>v0.9.1c <!-- non-standard -->
        <UL>
        <LI><download file="GroboUtils-0.9.1c.jar" />
            - pre-alpha early release 0.9.1c</LI>
        <LI><download file="GroboUtils-doc-0.9.1c.zip" />
            - pre-alpha early release 0.9.1c documentation.</LI>
        </UL>
    </LI>
    <LI>v0.9.1b <!-- non-standard -->
        <UL>
        <LI><download file="GroboUtils-0.9.1b.jar" />
            - pre-alpha early release 0.9.1b</LI>
        <LI><download file="GroboUtils-doc-0.9.1b.zip" />
            - pre-alpha early release 0.9.1b documentation.</LI>
        </UL>
    </LI>
    <LI>v0.9.1a <!-- non-standard -->
        <UL>
        <LI><download file="GroboUtils-0.9.1a.jar" />
            - pre-alpha early release 0.9.1a</LI>
        <LI><download file="GroboUtils-doc-0.9.1a.zip" />
            - pre-alpha early release 0.9.1a documentation.</LI>
        </UL>
    </LI>
    <LI>v0.9.0 <!-- non-standard -->
        <UL>
        <LI><download file="GroboUtils-1.0.jar" />
            - pre-alpha release 0.9.0</LI>
        <LI><download file="GroboUtils-doc-1.0.zip" />
            - pre-alpha release 0.9.0 documentation.</LI>
        </UL>
    </LI>
</UL>

<section>GroboTesting</section>
<P><I>(now merged into GroboUtils)</I></P>
<UL>
    <LI><download-package version="0.9.2" project="GroboTesting" />
    </LI>
    <LI><download-package version="0.9.1" project="GroboTesting">
        <i>Starting with this version, each major package
        is broken into its own JAR file.  The main "core" JAR is still
        distributed.</i></download-package>
    </LI>
    <LI>v0.9.0 <!-- non-standard -->
        <UL>
        <LI><download file="GroboTesting-0.9.0.zip" />
            - JAR, documentation, and source code.</LI>
        <LI><download file="GroboTesting-doc-0.9.0.zip" />
            - documentation</LI>
        <LI><download file="GroboTesting-src-0.9.0.zip" />
            - source code</LI>
        <LI><download file="GroboTesting-0.9.0.jar" />
            - Library (compiled) jar file</LI>
        </UL>
    </LI>
</UL>
</body>
</document>

